// SPDX-License-Identifier: Apache-2.0
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
import { singleton, inject } from "tsyringe";
import Service from "../Service";
let NetworkService = class NetworkService extends Service {
    _environment;
    _mirrorNode;
    _rpcNode;
    _consensusNodes;
    _configuration;
    set environment(value) {
        this._environment = value;
    }
    get environment() {
        return this._environment;
    }
    set configuration(value) {
        this._configuration = value;
    }
    get configuration() {
        return this._configuration;
    }
    get mirrorNode() {
        return this._mirrorNode;
    }
    set mirrorNode(value) {
        this._mirrorNode = value;
    }
    get rpcNode() {
        return this._rpcNode;
    }
    set rpcNode(value) {
        this._rpcNode = value;
    }
    get consensusNodes() {
        return this._consensusNodes;
    }
    set consensusNodes(value) {
        this._consensusNodes = value;
    }
    constructor(props) {
        super();
        Object.assign(this, props);
    }
};
NetworkService = __decorate([
    singleton(),
    __param(0, inject("NetworkProps")),
    __metadata("design:paramtypes", [Object])
], NetworkService);
export default NetworkService;
